 <!doctype html>
<html lang=fr>
	<?php											
		session_start();
		if (!isset($_SESSION['Autorisation']) or ($_SESSION['Autorisation'] != 1))
		{
		header("Location: index.php");
		exit();
		}
	?>
	
	<head>
		<title>Création/Modif/sup Eval SP</title>
		<meta charset=utf-8>
		<meta name=viewport content="width=device-width, initial-scale=1">
		<link rel="stylesheet" href="nogstyle.css">

	</head>
	
	<body>
		<header>
			<?php include('includes/header_simple.inc'); 
			echo'<h3>'.$_SESSION['PrenomAct'].' '.$_SESSION['NomAct'].'</h3>';
			include('includes/menu_prof.inc'); ?>
		</header>
		
		<article>
			<h2>Evaluation au fil de l'eau des Situations Professionnelles</h2>
	
			<?php
			require ('connect/mysqli_connect.php'); // recup connection
			
			function verifdonnees($num,$nom)
				{
					global $dbcon; // récupère $dbcon
					//require ('connect/mysqli_connect.php'); // recup connection
					// Vérif données
					$errors = array();
					
					// Le nom de l'éval ne doit pas être vide
					if (empty($nom))
					{
						$errors[] ='Le nom de l\'évaluation est vide';
					}
					// L'éval ne doit pas être créée dans eval_note (si notes alors on risque de perdre des infos)
						$sql= 'Select numEval,numEtudiant,note1
								FROM eval_note
								WHERE numEval='.$num.';';
							
					$result = mysqli_query ($dbcon, $sql)or die(mysqli_error($dbcon));
					$nb_ligne = mysqli_num_rows($result); //compte le nombre de lignes
					if ($nb_ligne >0) //nbre ligne > 0 des notesont été saisies
					{
						$errors[] ='Des notes ont déjà été saisies pour cette évaluation ';
					}
					if (!empty($errors))
					{
					// Affichage erreurs
						echo '<p class="alert erreur "> ERREURS !!  : <br/>';
						foreach ($errors as $msg)
						{
							echo " - $msg<br />\n";
						}
						echo'<br/><a class="bouton10 "href="prof_eval_menu.php?" >OK</a></p>'; // retour à l'acceuil prof'
						
						exit;	
					 // End of if (empty($errors))section.
					}
					return $errors;
				}
				
				
				
			// On vient de la page prof_eval_menu	
				if (($_SERVER['REQUEST_METHOD'] == 'GET') and ( isset($_GET['cms'])))
				{	
					$cms=$_GET['cms'];
					if ($cms=="C")  // AJout EVAL
					{
						echo "<h3>Ajout d'une évaluation</h3>	";
						// Le formulaire est vide
						$numEval=0;
						$nomEval ='';
						$epreuveEval='';
						$sessionEval='';
						$dateEval=date("y/m/d");
						$codeEtab='';
					}
					elseif ($cms=="M")  // Modif EVAL
					{
						echo'<h3>Modification</h3>	';
						// Select EVAL à MODIFIER
						$numEval = $_GET['id'];
						$q = "SELECT * FROM eval_liste WHERE numEval= '$numEval';";	
						$result = mysqli_query ($dbcon, $q) or die ('erreur sql'.mysqli_error($dbcon));
						// Check the result:
						$r=@mysqli_num_rows($result);   // on compte le nombre de ligne (en théorie 1)
						if ($r == 1)
						{     //On récupère les valeurs du SELECT dans un tableau $row	 
							$row = mysqli_fetch_array ($result, MYSQLI_ASSOC);	
							$nomEval =$row['nomEval'];
							$epreuveEval=$row['epreuveEval'];
							$sessionEval=$row['sessionEval'];
							$dateEval=$row['dateEval'];
							$codeEtab=$row['codeEtab'];
						}
						else
						{
							echo 'erreur SQL PASWNORMAL';
						}
					}
					elseif ($cms=="S")  // SUPPRIMER  EVAL
					{
						$numEval = $_GET['id'];
						$nomEval="rien"; // pas de vérif de noméval
						$errors=verifdonnees($numEval,$nomEval);
						if (empty($errors))
						{
							$q = 'DELETE FROM eval_liste WHERE numEval='.$numEval.';';		
							$result = @mysqli_query ($dbcon, $q) or die ('erruer SQLLL : <br/>'.$q);
							if (mysqli_affected_rows($dbcon ) == 1) 
							{ // If it ran OK.
								echo '<p class="alert succes "> L\'évaluation a été suppimée <br/>';
								echo'<br/><a class="bouton10 "href="prof_eval_menu.php?" >OK</a></p>'; // retour à l'acceuil prof'
								exit;	
							}
						}
						
					}	
					else
					{
						echo '$GLOBALS[$cms] différent de C , M ou S : pas POSSIBLE';
					}
				}
				
				// A partir du Formulaire				
				elseif ($_SERVER['REQUEST_METHOD'] == 'POST')
				{
					// Récup données rentrées ds le formulaire" mb_strtoupper
					$numEval = mysqli_real_escape_string($dbcon, trim($_POST['numEval']));
					$nomEval =mb_strtoupper(mysqli_real_escape_string($dbcon, trim($_POST['nomEval'])));  //en majuscules
					$epreuveEval=mysqli_real_escape_string($dbcon, trim($_POST['epreuveEval']));
					$sessionEval=mysqli_real_escape_string($dbcon, trim($_POST['sessionEval']));	
					
					$dateEval = $_POST['annee'] .'/'. $_POST['mois'] .'/' . $_POST['jour'];
					if (($timestamp = strtotime($dateEval)) === false)
					{
						$errors[] =  "bug ds date";
					}
					
					
					
					$codeEtab=$_SESSION['CodeEtab'];
					
						
					$DateEnr=date("Y/m/d");
					$cms=mysqli_real_escape_string($dbcon, trim($_POST['cms']));
					
					//fonction de vérification des erreurs
					$errors=verifdonnees($numEval,$nomEval);
					if (empty($errors)) // si pas d'erreurs on met à jour la Bdd'	
					{
						if ($cms=="C") //On crée une nouvelle éval
						{
							$q = "INSERT INTO eval_liste(nomEval, epreuveEval, sessionExam,codeEtab,dateEval, DateEnr)
							VALUES ('$nomEval','$epreuveEval','$sessionEval','$codeEtab','$dateEval','$DateEnr');";								
						}
						elseif ($cms=="M")
						{
							$q = "UPDATE eval_liste SET nomEval='$nomEval', epreuveEval='$epreuveEval', sessionExam='$sessionEval',codeEtab='$codeEtab', dateEval='$dateEval', DateEnr='$DateEnr' WHERE numEval='$numEval'";
						}
						else
						{
							$q='IMPOSSIBLE';
						}
						$result = @mysqli_query ($dbcon, $q) or die ('erreur SQLLL : <br/>'.$q);
						if (mysqli_affected_rows($dbcon) == 1) // If it ran OK
						{							
							echo '<p class="alert succes">Mise à jour effectuée &nbsp;&nbsp;';
						echo'<br/><a class="bouton10 "href="prof_eval_menu.php?" >OK</a></p>'; // retour à l'acceuil prof'
							exit;			
							// retour vers Prof
						}			
						else
						{ 
							echo '<div id="zone_alerte"><p class="alert erreur">Aucune modif réalisée</p></div>'; // Echo a message if the query failed
							// Error message
						}
					}
				}	
				else
				{
			 		// If no valid ID, stop the script
					echo '<p class="alert echec">LIGNE 194 Cette page a été chargéee par erreur.</p>';
					exit;
				}
			?>		
				
			<!--Création formulaire-->		
			<form class="centre80" action="<?php echo($_SERVER['PHP_SELF']); ?>" method="post">
				<!-- récup de l'Id et de la date d'enr -->
				<input type="hidden" name="id" value= "<?php echo $id ?>" >
				<input type="hidden" name="numEval" value = " <?php echo $numEval ?>">
				<input type="hidden" name="dateenr" value = " <?php echo $DateEnr ?>">
				<input type="hidden" name="codeEtab" value = " <?php echo $codeEtab ?>">
				<input type="hidden" name="cms" value = " <?php echo $cms ?>">
				
				<p>	
					<label class="label300d" for="Nom">Nom Evaluation </label>
					<input class="fl-left" type="text" name="nomEval" size="30" maxlength="30" value = " <?php echo $nomEval ?>">
				</p>	
				
				<p>	
					<label class="label300d" for="Nom">Epreuve concernée </label>				
					<select name="epreuveEval" >
						<?php
							$selectE42A="";
							$selectE5A="";
							if ($epreuveEval=="E42A")
							{
								$selectE42A="selected";
							}
							elseif ($epreuveEval=="E5A")
							{
								$selectE5A="selected";
							}
							else
							{
								echo "ZRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR";	
							}
							
							echo '<option '.$selectE42A.' value="E42A" >Epreuve E42A</option>';
							echo '<option '.$selectE5A.' value="E5A" >Epreuve E5A</option>';
						?>	
					</select>
				</p>
				
				<p>	
					<label class="label300d" for="Nom">Session</label>
					<select name="sessionEval" >
						<?php
							$annee=intval(date('Y'));
							for ($i = $annee ; $i<= $annee+2 ; $i++)
							{
								$select="";
								if ($i==$sessionEval)
								{
									$select=" selected ";
								}
								echo "<option $select value= $i > $i </option>";
							}
						?>
					</select>
				</p>	
				
				<p>	
					<label class="label300d" for="date">Date de l'Evaluation </label>
					<?php
						$jour= substr($dateEval,8, 2);
					 	$mois=substr($dateEval,5, 2);
					 	$annee=substr($dateEval,0, 4);;
							
						//Variable qui ajoutera l'attribut selected de la liste déroulante
						// Parcours du tableau<--->
		  						
						echo'	<select name="jour" id="jour">';
						for ($i = 1; $i <= 31; $i++)
						{
							echo '<option value="' . $i . '"';
							if ($jour == $i) 
							{  
								echo ' selected="selected"';
							}
							echo ">" . $i . "</option>";
						}
						echo'	</select>
								
								<select name="mois" id="mois">';
		 				for ($i = 1 ; $i <= 12 ; $i++)
				 		{
							echo '<option value="' . $i . '"';
							if ($mois  == $i)
							{ 
								echo ' selected="selected"';
							}
							echo ">" . $i . "</option>";
						}
		 				echo' </select>
	 							
	 							<select name="annee" id="annee">';
	 					for ($i = intval(date('Y')); $i >= 2015; $i--)
				 		{
							echo '<option value="' . $i . '"';
							if ($annee  == $i) 
							{ 
								echo ' selected="selected"';
							}
							echo ">" . $i . "</option>";
						}
	 					echo'	</select>';
	 					
	 				?>
				</p>	

				<p class=centre40>
					<input id="submit" type="submit" name="submit" value="Mettre à jour">
				</p>
				
				
			</form>
			
			
			
			
		</article>	
		<footer>
			<?php include ('includes/footer.inc'); ?>
		</footer>
	</body>
</html>